PDA

View Full Version : problem with yum



ruxbo
28th October 2006, 06:34 AM
if there's a thread already please direct me to it if not can someone please show me how to fix this thanks in advance

i've upgraded my fc5 to fc6
when i tried doing...

[root@fc6 ~]# rpm -ivh http://rpm.livna.org/livna-release-6.rpm
Retrieving http://rpm.livna.org/livna-release-6.rpm
Preparing... ########################################### [100%]
file /etc/smart/distro.d/livna.py from install of livna-release-6-1 conflicts with file from package livna-release-5-8
file /etc/yum.repos.d/livna-testing.repo from install of livna-release-6-1 conflicts with file from package livna-release-5-8
file /etc/yum.repos.d/livna.repo from install of livna-release-6-1 conflicts with file from package livna-release-5-8
[root@fc6 ~]#

thanks again
ruxbo

u-noneinc-s
28th October 2006, 06:47 AM
Try rpm -Uvh instead. If that doesn't work remove livna-release-5-8 before installing 6-1. But check for dependencies (I don't think there will be any). Maybe yum remove livna-release will be safer than rpm -e. (I haven't used rpm in a while and I don't remember if it will prompt you before removing deps but you will).

ruxbo
28th October 2006, 07:08 AM
it worked
thanks

ruxbo

u-noneinc-s
28th October 2006, 07:17 AM
Which worked? rpm -Uvh?

ruxbo
28th October 2006, 07:22 AM
Which worked? rpm -Uvh?
yes
thanks again